Loading...
Searching...
No Matches
vector3.h File Reference
`#include <BALL/COMMON/exception.h>`
`#include <BALL/CONCEPT/persistenceManager.h>`
`#include <BALL/MATHS/angle.h>`
`#include <BALL/MATHS/common.h>`

Go to the source code of this file.

## Classes

class | BALL::TVector3< T >

## Namespaces

namespace | BALL

## Global binary operators for three-dimensional vectors.

typedef TVector3< float > | BALL::Vector3
template class BALL_EXPORT | BALL::TVector3< float >
template<typename T>
BALL_INLINE TVector3< T > | BALL::operator* (const T &a, const TVector3< T > &b)
template<typename T>
std::istream & | BALL::operator>> (std::istream &s, TVector3< T > &vector)
template<typename T>
std::ostream & | BALL::operator<< (std::ostream &s, const TVector3< T > &vector)